<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::mfp_kernel_1_base_class&lt; num_args &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1mfp__kernel__1__base__class.html">mfp_kernel_1_base_class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="classdlib_1_1mfp__kernel__1__base__class-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::mfp_kernel_1_base_class&lt; num_args &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1mfp__kernel__1__base__class_1_1dummy.html">dummy</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1mfp__kernel__1__base__class_1_1dummy__base.html">dummy_base</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1mfp__kernel__1__base__class_1_1mp__base__base.html">mp_base_base</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1mfp__kernel__1__base__class_1_1mp__impl___t.html">mp_impl_T</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1mfp__kernel__1__base__class_1_1mp__null.html">mp_null</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8591a027f45ea35662a49a1fca9d4861"><td class="memItemLeft" align="right" valign="top"><a id="a8591a027f45ea35662a49a1fca9d4861"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>mfp_kernel_1_base_class</b> (const <a class="el" href="classdlib_1_1mfp__kernel__1__base__class.html">mfp_kernel_1_base_class</a> &amp;item)</td></tr>
<tr class="separator:a8591a027f45ea35662a49a1fca9d4861"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8242cff5e72fe11caef3213ec419d11d"><td class="memItemLeft" align="right" valign="top"><a id="a8242cff5e72fe11caef3213ec419d11d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classdlib_1_1mfp__kernel__1__base__class.html">mfp_kernel_1_base_class</a> &amp;item) const</td></tr>
<tr class="separator:a8242cff5e72fe11caef3213ec419d11d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade66b62694d63766654aa69c9dcad56f"><td class="memItemLeft" align="right" valign="top"><a id="ade66b62694d63766654aa69c9dcad56f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classdlib_1_1mfp__kernel__1__base__class.html">mfp_kernel_1_base_class</a> &amp;item) const</td></tr>
<tr class="separator:ade66b62694d63766654aa69c9dcad56f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1eba35deb6ab10949a2c5c01b75623a"><td class="memItemLeft" align="right" valign="top"><a id="ad1eba35deb6ab10949a2c5c01b75623a"></a>
<a class="el" href="classdlib_1_1mfp__kernel__1__base__class.html">mfp_kernel_1_base_class</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1mfp__kernel__1__base__class.html">mfp_kernel_1_base_class</a> &amp;item)</td></tr>
<tr class="separator:ad1eba35deb6ab10949a2c5c01b75623a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89d137bafd35cd8479914a3a5de83cec"><td class="memItemLeft" align="right" valign="top"><a id="a89d137bafd35cd8479914a3a5de83cec"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear</b> ()</td></tr>
<tr class="separator:a89d137bafd35cd8479914a3a5de83cec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9744183ccf60c24dc0707c59fd2f17ea"><td class="memItemLeft" align="right" valign="top"><a id="a9744183ccf60c24dc0707c59fd2f17ea"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_set</b> () const</td></tr>
<tr class="separator:a9744183ccf60c24dc0707c59fd2f17ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52b695b6c5f0aa192d711efee0a0f067"><td class="memItemLeft" align="right" valign="top"><a id="a52b695b6c5f0aa192d711efee0a0f067"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator safe_bool</b> () const</td></tr>
<tr class="separator:a52b695b6c5f0aa192d711efee0a0f067"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade24b18747d94b2940b04199868e1f0e"><td class="memItemLeft" align="right" valign="top"><a id="ade24b18747d94b2940b04199868e1f0e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!</b> () const</td></tr>
<tr class="separator:ade24b18747d94b2940b04199868e1f0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4d0382d6a8aef5680feed67111f507b"><td class="memItemLeft" align="right" valign="top"><a id="af4d0382d6a8aef5680feed67111f507b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1mfp__kernel__1__base__class.html">mfp_kernel_1_base_class</a> &amp;item)</td></tr>
<tr class="separator:af4d0382d6a8aef5680feed67111f507b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr class="memitem:a1bd8db57832ab17f29e78d89e58bf148"><td class="memItemLeft" align="right" valign="top"><a id="a1bd8db57832ab17f29e78d89e58bf148"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>mfp_type</b> { <b>mfp_nonconst</b>, 
<b>mfp_const</b>, 
<b>mfp_null</b>
 }</td></tr>
<tr class="separator:a1bd8db57832ab17f29e78d89e58bf148"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29ca7acb6d2de44e8b1647296193b9d9"><td class="memItemLeft" align="right" valign="top"><a id="a29ca7acb6d2de44e8b1647296193b9d9"></a>
typedef <a class="el" href="classdlib_1_1mfp__kernel__1__base__class_1_1mp__impl___t.html">mp_impl_T</a>&lt; <a class="el" href="classdlib_1_1mfp__kernel__1__base__class_1_1mp__null.html">mp_null</a>&lt; <a class="el" href="structdlib_1_1mfp__kernel__1__base__class_1_1dummy.html">dummy</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>mp_null_impl</b></td></tr>
<tr class="separator:a29ca7acb6d2de44e8b1647296193b9d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a0034ab3a866d0d42f80ed7c94396edd7"><td class="memItemLeft" align="right" valign="top"><a id="a0034ab3a866d0d42f80ed7c94396edd7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>destroy_mp_memory</b> ()</td></tr>
<tr class="separator:a0034ab3a866d0d42f80ed7c94396edd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae34dda2b96240b1d52fb5f7929d8146"><td class="memItemLeft" align="right" valign="top"><a id="aae34dda2b96240b1d52fb5f7929d8146"></a>
<a class="el" href="classdlib_1_1mfp__kernel__1__base__class_1_1mp__base__base.html">mp_base_base</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>mp</b> ()</td></tr>
<tr class="separator:aae34dda2b96240b1d52fb5f7929d8146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac233b33779708015f4de9f319cc441d0"><td class="memItemLeft" align="right" valign="top"><a id="ac233b33779708015f4de9f319cc441d0"></a>
const <a class="el" href="classdlib_1_1mfp__kernel__1__base__class_1_1mp__base__base.html">mp_base_base</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>mp</b> () const</td></tr>
<tr class="separator:ac233b33779708015f4de9f319cc441d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a7f287909c820649f2cf6d1acfbba5a65"><td class="memItemLeft" align="right" valign="top"><a id="a7f287909c820649f2cf6d1acfbba5a65"></a>
<a class="el" href="classdlib_1_1stack__based__memory__block.html">stack_based_memory_block</a>&lt; sizeof(<a class="el" href="classdlib_1_1mfp__kernel__1__base__class_1_1mp__impl___t.html">mp_null_impl</a>)+1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>mp_memory</b></td></tr>
<tr class="separator:a7f287909c820649f2cf6d1acfbba5a65"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:ad69a9f6a92b3fdb73114845a70b394d3"><td class="memItemLeft" align="right" valign="top"><a id="ad69a9f6a92b3fdb73114845a70b394d3"></a>
typedef void(dummy::*&#160;</td><td class="memItemRight" valign="bottom"><b>safe_bool</b>) ()</td></tr>
<tr class="separator:ad69a9f6a92b3fdb73114845a70b394d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="member__function__pointer__kernel__1_8h_source.html">member_function_pointer_kernel_1.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
